### Method

# ECal Component set_url

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_url (
      ECalComponent* comp,
      const gchar* url
    )

#### Description [src]

Sets the uniform resource locator property of a calendar component object. A `NULL` or an empty string removes the property.

Available since: 3.34

#### Parameters

`url`

  Type: `const gchar*`

  URL value.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.